Skip to main content
GET
/
vendor
/
campaigns
List Campaigns
curl --request GET \
  --url https://api.example.com/vendor/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "campaigns": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "currency": "<string>",
      "campaign_identifier": "<string>",
      "starts_at": "<string>",
      "ends_at": "<string>",
      "budget": {
        "id": "<string>",
        "type": "spend",
        "currency_code": "<string>",
        "limit": 123,
        "used": 123
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "offset": 123,
  "limit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string

Search query to filter campaigns by name (case-insensitive).

offset
number

The number of items to skip before starting to collect the result set.

limit
number

The number of items to return.

fields
string

Comma-separated fields to include in the response.

Response

200 - application/json

OK

campaigns
object[]
count
integer

The total number of items available

offset
integer

The number of items skipped before these items

limit
integer

The number of items per page